Subject: Re: [PATCH net-next] atheros/atlx: use SET_ETHTOOL_OPS directly

From: Wang Weidong <[email-masked]>
Date: Fri, 21 Mar 2014 09:41:46 +0800

On 2014/3/21 4:17, David Miller wrote:
> From: David Miller <[email-masked]>
> Date: Thu, 20 Mar 2014 16:07:01 -0400 (EDT)
> 
>> From: Wang Weidong <[email-masked]>
>> Date: Wed, 19 Mar 2014 17:39:15 +0800
>>
>>> As commit a6e28b34205b("staging/et131x: use SET_ETHTOOL_OPS
>>> directly"), using a wrapper around SET_ETHTOOL_OPS macro is
>>> not actually required, remove and use SET_ETHTOOL_OPS directly.
>>>
>>> Signed-off-by: Wang Weidong <[email-masked]>
>>
>> Applied, thank you.
> 
> I reverted, you did not ever build test this:
> 
> drivers/net/ethernet/atheros/atlx/atl2.c: In function ‘atl2_probe’:
> drivers/net/ethernet/atheros/atlx/atl2.c:1398:2: error: ‘atl2_ethtool_ops’ undeclared (first use in this function)
> drivers/net/ethernet/atheros/atlx/atl2.c:1398:2: note: each undeclared identifier is reported only once for each function it appears in
> make[1]: *** [drivers/net/ethernet/atheros/atlx/atl2.o] Error 1
> make: *** [drivers/net/ethernet/atheros/atlx/atl2.o] Error 2
> 
> If you do not even have the time to do a test build, then I do not
> have the time to review and apply your patches.
>
Hi David,
 
So sorry for your time. I built all the kernel at first time, and this error
log was hidden, although, I should build it in the drivers/ and ensured it OK,
It is my mistake.

I will fix it.

Regards
Wang